<?php

namespace App\Modules\BookingEquipment\Application\UpdatePartial;

use App\Modules\BookingEquipment\Domain\BookingEquipment;
use App\Modules\BookingEquipment\Domain\BookingEquipmentRepository;

final class BookingEquipmentPartialUpdater
{
    public function __construct(
        private BookingEquipmentRepository $repository
    ) {}

    public function __invoke(
        BookingEquipment $model,
    ) {
        return $this->repository->updatePartial($model);
    }
}
